glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Value< int > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< int >:
[legend]

List of all members.

## Public Types
typedef int | CppType
typedef gint | CType
## Public Member Functions
void | set (int data)
int | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< int >

## Member Typedef Documentation

typedef int Glib::Value< int >::CppType

typedef gint Glib::Value< int >::CType

## Member Function Documentation

int Glib::Value< int >::get | ( |  | ) | const

void Glib::Value< int >::set | ( | int | data | ) |

static GType Glib::Value< int >::value_type | ( |  | ) | `[static]`